;  IsCursor()     O_ISCURS.ASM
;
;  Original by:   K. Stephan Larsen
;  Date:          January 1989
;  Notes:         For use as a public domain utility, no
;                 warrantees, guarantees, or any other promises
;                 implied.
;
;                 Please offer comments and suggestions,
;                 not necessarily good ones, either.
;
;                 CIS 76370,1532   MST (303) 220-9050
;
;  Modifications: Dave Bruce
;  Date:          December 1990
;  Note:          Isolated this function in its own file.
;
;                 CI$ 76256,1621   EST (519) 837-0505
;
;  Compile with:  Microsoft MASM 5.1
;
;  Usage:         IsCursor()  -  T = cursor on
;                                F = cursor off
;
NAME O_ISCURS
INCLUDE EXTENDA.INC    ; BE SURE TO PUT YOUR PATH HERE!!!

$define    FALSE    0000h         ; return AX=0 for logical false
$define    TRUE     0001h

CODESEG  O_ISCURS
;DATASEG  DSEG

CLpublic <ISCURSOR>

CLfunc log    ISCURSOR  ; returns .T. if cursor is on, else .F.

CLcode
    mov    AH,0Fh       ; fetch current display page in BH
    int    10h
    mov    AH,03        ; fetch cursor size in CX
    int    10h
    mov    BH,CH        ; save cursor start row for later
    and    CH,20h       ; test if CH bit 5 is on (cursor off, all modes)
    jnz    OFF
    cmp    BH,CL        ; test if start line is less than stop line
    jbe    ON           ; (cursor ON, text mode)

OFF:mov    AX,FALSE
    jmp    HOME
ON: mov    AX,TRUE

HOME:
    CLret  AX           ; end function "CURSOR"

end
